/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */

package net.ranides.assira.xml;

import java.io.File;
import java.io.IOException;
import java.io.OutputStream;
import java.io.Writer;

/**
 *
 * @author Ranides Atterwim <ranides@gmail.com>
 */
public interface XMLWriter {
    
    XMLWriter save(File file) throws IOException;

    XMLWriter save(OutputStream ostream) throws IOException;

    XMLWriter save(Writer writer) throws IOException;
    
    String toString();
    
    XMLWriter param(XMLOptions param, String value);
    
    XMLWriter param(String param, String value);
    
    XMLWriter indent(int size);

}
